Subject: RE: dbAu1550 (Cabarnet) - problems booting kernel - hangs at "Sen ding BOOTP" and root file system for MIPS (BE)

From: Prashant Viswanathan <[email-masked]>
Date: Tue, 28 Dec 2004 17:23:54 -0800

> > However, the kernel seems to hang in "Sending BOOTP Requests"
> > <snip>
> > Sending BOOTP requests .<6>eth0: link up
> > eth1: link up
> > ..... timed out!
> > IP-Config: Reopening network devices...
> > Sending BOOTP requests ....
> > </snip>
> >
> 
> Perhaps you don't have a bootp service on your network.  I usually put
> ip=dhcp (go to Device Drivers->Networking support->Networking options
> and enable IP: DHCP support).

With DHCP support enabled it works.

> You could build your own tool chain and root file system, which is what
> I did (I have a dbAu1100 board).  I used the buildroot package which is
> part of the uclibc project:
> http://www.uclibc.org/
> 
> You can download the buildroot CVS tarball here (just look for the
> "Download tarball" link at the bottom:
> http://www.uclibc.org/cgi-bin/cvsweb/buildroot/
> 
> It has a "make menuconfig" style configuration system and will build
> busybox and other programs and create an ext2 file system, etc.  I opted
> to build busybox and the mips kernel separately though (so I could more
> easily configure them).  I now have a cross compiler and tool chain for
> my x86 laptop.

I used the toolchain from mips.com to build the kernel. I guess I will have
to do what you suggest to get a root file system. I was under the impression
that several pre-built root file systems existed for MIPS.

Thanks a lot!
Prashant